<?php
/*-------------------------------------------------------+
| PHP-Fusion 7
| Filename: new_infusion_admin.php
| ap_articles Version: 2.2
| Author: Alipapa (http://ap-fusion.ru/)
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include LOCALE.LOCALESET."admin/articles.php";

include INFUSIONS."ap_articles/infusion_db.php";

if (!checkrights("APA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ap_articles/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ap_articles/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ap_articles/locale/English.php";
}

if ($settings['tinymce_enabled'] == 1) {
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['410'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['411'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['412'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

$result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS);
if (dbrows($result)) {
	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$url = stripinput($_POST['url']);
		$title = stripinput($_POST['title']);
		$description = stripinput($_POST['description']);
		$keywords = stripinput($_POST['keywords']);
		$body = addslash($_POST['body']);
		$body2 = addslash($_POST['body2']);
		$draft = isset($_POST['article_draft']) ? "1" : "0";
		$title_add = isset($_POST['title_add']) ? "1" : "0";
		$description_add = isset($_POST['description_add']) ? "1" : "0";
		$keywords_add = isset($_POST['keywords_add']) ? "1" : "0";
		if ($settings['tinymce_enabled'] != 1) { $breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "n"; }
		$comments = isset($_POST['article_comments']) ? "1" : "0";
		$ratings = isset($_POST['article_ratings']) ? "1" : "0";
		if (isset($_POST['article_id']) && isnum($_POST['article_id'])) {
			$result = dbquery("UPDATE ".DB_AP_ARTICLES." SET article_cat='".intval($_POST['article_cat'])."', article_subject='$subject', article_url='$url', article_title='$title', article_description='$description', article_keywords='$keywords', article_snippet='$body', article_article='$body2', article_draft='$draft', article_title_add='$title_add', article_description_add='$description_add', article_keywords_add='$keywords_add', article_breaks='$breaks', article_allow_comments='$comments', article_allow_ratings='$ratings' WHERE article_id='".$_POST['article_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			$result = dbquery("INSERT INTO ".DB_AP_ARTICLES." (article_cat, article_subject, article_url, article_title, article_description, article_keywords, article_snippet, article_article, article_draft, article_title_add, article_description_add, article_keywords_add, article_breaks, article_name, article_datestamp, article_reads, article_allow_comments, article_allow_ratings) VALUES ('".intval($_POST['article_cat'])."', '$subject', '$url', '$title', '$description', '$keywords', '$body', '$body2', '$draft', '$title_add', '$description_add', '$keywords_add', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings')");
			redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	} else if (isset($_POST['delete']) && (isset($_POST['article_id']) && isnum($_POST['article_id']))) {
		$result = dbquery("DELETE FROM ".DB_AP_ARTICLES." WHERE article_id='".$_POST['article_id']."'");
		$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$_POST['article_id']."' and comment_type='AA'");
		$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$_POST['article_id']."' and rating_type='AA'");
		redirect(FUSION_SELF.$aidlink."&status=del");
	} else {
		if (isset($_POST['preview'])) {
			$article_cat = $_POST['article_cat'];
			$title = stripinput($_POST['title']);
			$url = stripinput($_POST['url']);
			$description = stripinput($_POST['description']);
			$keywords = stripinput($_POST['keywords']);
			$subject = stripinput($_POST['subject']);
			$body = phpentities(stripslash($_POST['body']));
			$body2 = phpentities(stripslash($_POST['body2']));
			$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body2']));
			$title_add = isset($_POST['title_add']) ? " checked='checked'" : "";
			$description_add = isset($_POST['description_add']) ? " checked='checked'" : "";
			$keywords_add = isset($_POST['keywords_add']) ? " checked='checked'" : "";
			$draft = isset($_POST['article_draft']) ? " checked='checked'" : "";
			if (isset($_POST['line_breaks'])) {
				$breaks = " checked='checked'";
				$bodypreview = nl2br($bodypreview);
				$body2preview = nl2br($body2preview);
			} else {
				$breaks = "";
			}
			$comments = isset($_POST['article_comments']) ? " checked='checked'" : "";
			$ratings = isset($_POST['article_ratings']) ? " checked='checked'" : "";
			opentable($subject);
			echo $bodypreview."\n";
			closetable();
			opentable($subject);
			echo $body2preview."\n";
			closetable();
		}
		$result = dbquery("SELECT * FROM ".DB_AP_ARTICLES." ORDER BY article_draft DESC, article_datestamp DESC");
		if (dbrows($result)) {
			$editlist = ""; $sel = "";
			while ($data = dbarray($result)) {
				if ((isset($_POST['article_id']) && isnum($_POST['article_id'])) || (isset($_GET['article_id']) && isnum($_GET['article_id']))) {
					$article_id = isset($_POST['article_id']) ? $_POST['article_id'] : $_GET['article_id'];
					$sel = ($article_id == $data['article_id'] ? " selected='selected'" : "");
				} else {
					$sel = "";
				}
				$editlist .= "<option value='".$data['article_id']."'".$sel.">".($data['article_draft'] ? $locale['433']." " : "").$data['article_subject']."</option>\n";
			}
			opentable($locale['402']);
			echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit'>\n";
			echo "<select name='article_id' class='textbox' style='width:250px;'>\n".$editlist."</select>\n";
			echo "<input type='submit' name='edit' value='".$locale['420']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['421']."' onclick='return DeleteArticle();' class='button' />\n";
			echo "</form>\n</div>\n";
			closetable();
		}

		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_POST['article_id']) && isnum($_POST['article_id'])) || (isset($_GET['article_id']) && isnum($_GET['article_id']))) {
			$result = dbquery("SELECT * FROM ".DB_AP_ARTICLES." WHERE article_id='".(isset($_POST['article_id']) ? $_POST['article_id'] : $_GET['article_id'])."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$article_cat = $data['article_cat'];
				$title = $data['article_title'];
				$url = $data['article_url'];
				$description = $data['article_description'];
				$keywords = $data['article_keywords'];
				$subject = $data['article_subject'];
				$body = phpentities(stripslashes($data['article_snippet']));
				$body2 = phpentities(stripslashes($data['article_article']));
				$draft = $data['article_draft'] ? " checked='checked'" : "";
				$title_add = $data['article_title_add'] ? " checked='checked'" : "";
				$description_add = $data['article_description_add'] ? " checked='checked'" : "";
				$keywords_add = $data['article_keywords_add'] ? " checked='checked'" : "";
				$breaks = $data['article_breaks'] == "y" ? " checked='checked'" : "";
				$comments = $data['article_allow_comments'] ? " checked='checked'" : "";
				$ratings = $data['article_allow_ratings'] ? " checked='checked'" : "";
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		}
		if ((isset($_POST['article_id']) && isnum($_POST['article_id'])) || (isset($_GET['article_id']) && isnum($_GET['article_id']))) {
			opentable($locale['401']);
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$url = "";
				$body = "";
				$body2 = "";
				$title = "";
				$title_add = "";
				$description = "";
				$description_add = "";
				$keywords = "";
				$keywords_add = "";
				$draft = "";
				$breaks = " checked='checked'";
				$comments = " checked='checked'";
				$ratings = " checked='checked'";
			}
			opentable($locale['400']);
		}
		$result = dbquery("SELECT * FROM ".DB_AP_ARTICLE_CATS ." ORDER BY article_cat_name DESC");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($article_cat)) $sel = ($article_cat == $data['article_cat_id'] ? " selected='selected'" : "");
			$catlist .= "<option value='".$data['article_cat_id']."'$sel>".$data['article_cat_name']."</option>\n";
		}
		echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this)'>\n";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['422']."</td>\n";
		echo "<td class='tbl'><select name='article_cat' class='textbox' style='width:250px;'>".$catlist."</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='100' class='tbl'>".$locale['423']."</td>\n";
		echo "<td class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"."URL:"."&nbsp;\n";
		echo "<input type='text' name='url' value='$url' class='textbox' style='width:250px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Title"."</td>\n";
		echo "<td class='tbl'><input type='text' name='title' value='$title' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='title_add' value='yes'".$title_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Meta description"."</td>\n";
		echo "<td class='tbl'><input type='text' name='description' value='$description' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='description_add' value='yes'".$description_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'>"."Meta keywords"."</td>\n";
		echo "<td class='tbl'><input type='text' name='keywords' value='$keywords' class='textbox' style='width:500px;' />\n";
		echo "&nbsp;&nbsp;&nbsp;";
		echo "<label><input type='checkbox' name='keywords_add' value='yes'".$keywords_add." /> "."Add"."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' width='100' class='tbl'>".$locale['424']."</td>\n";
		echo "<td class='tbl'><textarea name='body' cols='95' rows='5' class='textbox' style='width:98%'>".$body."</textarea></td>\n";
		echo "</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
			echo display_html("inputform", "body", true, true, true, IMAGES_A);
			echo "</td>\n</tr>\n";
		}
		echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['425']."</td>\n";
		echo "<td class='tbl'><textarea name='body2' cols='95' rows='10' class='textbox' style='width:98%'>".$body2."</textarea></td>\n";
		echo "</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td><td class='tbl'>\n";
			echo "<input type='button' value='".$locale['432']."' class='button' style='width:80px;' onclick=\"insertText('body2', '<--PAGEBREAK-->');\" />\n";
			echo display_html("inputform", "body2", true, true, true, IMAGES_A);
			echo "</td>\n</tr>\n";
		}
		echo "<tr>\n";
		echo "<td class='tbl'></td><td class='tbl'>\n";
		echo "<label><input type='checkbox' name='article_draft' value='yes'".$draft." /> ".$locale['426']."</label><br />\n";
		if ($settings['tinymce_enabled'] != 1) { echo "<label><input type='checkbox' name='line_breaks' value='yes'".$breaks." /> ".$locale['427']."</label><br />\n"; }
		echo "<label><input type='checkbox' name='article_comments' value='yes'".$comments." /> ".$locale['428']."</label><br />\n";
		echo "<label><input type='checkbox' name='article_ratings' value='yes'".$ratings." /> ".$locale['429']."</label></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		if ((isset($_POST['article_id']) && isnum($_POST['article_id'])) || (isset($_GET['article_id']) && isnum($_GET['article_id']))) {
			echo "<input type='hidden' name='article_id' value='".(isset($_POST['article_id']) ? $_POST['article_id'] : $_GET['article_id'])."' />\n";
		}
		echo "<input type='submit' name='preview' value='".$locale['430']."' class='button' />\n";
		echo "<input type='submit' name='save' value='".$locale['431']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
		echo "<script type='text/javascript'>"."\n"."function DeleteArticle() {\n";
		echo "return confirm('".$locale['451']."');\n}\n";
		echo "function ValidateForm(frm) {"."\n"."if(frm.subject.value=='') {\n";
		echo "alert('".$locale['450']."');"."\n"."return false;\n}\n}\n</script>\n";
	}
} else {
	opentable($locale['403']);
	echo "<div style='text-align:center'>".$locale['452']."<br />\n".$locale['453']."<br />\n";
	echo "<a href='ap_article_cats_admin.php".$aidlink."'>".$locale['454']."</a>".$locale['455']."</div>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>